<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content class">
                   <div class="content-data">











<ol class="breadcrumb">
  <li>Classes</li>
  <li>ElectionDetails</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>e2e/page-object/operation/parameters/repository-edit.po.ts</code>
        </p>





            <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#closeElectoralRolls">closeElectoralRolls</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#waitForElectoralRollsDisplayed">waitForElectoralRollsDisplayed</a>
                            </li>
                        </ul>
                    </td>
                </tr>





                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#proportionalGrid">proportionalGrid</a>
                                </li>
                                <li>
                                    <a href="#majorityGrid">majorityGrid</a>
                                </li>
                                <li>
                                    <a href="#majorityWithListGrid">majorityWithListGrid</a>
                                </li>
                                <li>
                                    <a href="#electoralRolls">electoralRolls</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>



            <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="closeElectoralRolls"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            closeElectoralRolls
                            </b>
                            <a href="#closeElectoralRolls"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>closeElectoralRolls()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="142" class="link-to-prism">e2e/page-object/operation/parameters/repository-edit.po.ts:142</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>close the electoral rolls view</p>
</div>

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="waitForElectoralRollsDisplayed"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            waitForElectoralRollsDisplayed
                            </b>
                            <a href="#waitForElectoralRollsDisplayed"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>waitForElectoralRollsDisplayed()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="134" class="link-to-prism">e2e/page-object/operation/parameters/repository-edit.po.ts:134</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>waits for the electoral rolls gird to be displayed</p>
</div>

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>






            <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="proportionalGrid"></a>
                        <span class="name"><b>proportionalGrid</b><a href="#proportionalGrid"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>proportionalGrid()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="106" class="link-to-prism">e2e/page-object/operation/parameters/repository-edit.po.ts:106</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/MatTable.html" target="_self" >MatTable</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="majorityGrid"></a>
                        <span class="name"><b>majorityGrid</b><a href="#majorityGrid"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>majorityGrid()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="113" class="link-to-prism">e2e/page-object/operation/parameters/repository-edit.po.ts:113</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/MatTable.html" target="_self" >MatTable</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="majorityWithListGrid"></a>
                        <span class="name"><b>majorityWithListGrid</b><a href="#majorityWithListGrid"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>majorityWithListGrid()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="120" class="link-to-prism">e2e/page-object/operation/parameters/repository-edit.po.ts:120</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/MatTable.html" target="_self" >MatTable</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="electoralRolls"></a>
                        <span class="name"><b>electoralRolls</b><a href="#electoralRolls"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>electoralRolls()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="127" class="link-to-prism">e2e/page-object/operation/parameters/repository-edit.po.ts:127</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">

                                <div>
                                </div>
                                <div class="io-description">
                                    <b>Returns : </b>    <code><a href="../classes/MatTable.html" target="_self" >MatTable</a></code>

                                </div>
                        </td>
                    </tr>

            </tbody>
        </table>
</section>
    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { browser, by, element, ElementFinder } from &quot;protractor&quot;;
import { Card } from &#x27;../../../shared/card&#x27;;
import { Button } from &#x27;../../../shared/button&#x27;;
import { MatTable } from &#x27;../../../shared/table&#x27;;
import { UploadInput } from &#x27;../../../shared/upload-input&#x27;;
import { SlideDetails } from &#x27;../../../shared/slide-details&#x27;;
import { GroupedGrid } from &#x27;../../../shared/grouped-grid&#x27;;
import { Cache } from &#x27;../../cache.po&#x27;;
import { waitForInvisibility, waitForVisibility } from &#x27;../../../shared/e2e.utils&#x27;;

/**
 * Page object for the repository edit section.
 */
export class RepositoryEdit {

  /**
   * @returns {Card} the edit section element itself
   */
  static get root(): Card {
    return Cache.card(&#x27;repositoryEdit&#x27;);
  }

  /**
   * @returns {SlideDetails} the details section
   */
  static get slideDetails(): SlideDetails {
    return Cache.slideDetail(&#x27;repositorySlideDetail&#x27;, this.root.element);
  }

  /**
   * @returns {UploadInput} the upload file input
   */
  static get uploadInput(): UploadInput {
    return Cache.uploadInputField(&#x27;repositoryUploadInputField&#x27;, this.root.content);
  }

  /**
   * @returns {ElementFinder} the error section
   */
  static get validationErrors(): ElementFinder {
    return Cache.element(&#x27;validationErrors&#x27;);
  }

  /**
   * @returns {MatTable} the grid displaying the repository files
   */
  static get table(): MatTable {
    return Cache.table(&#x27;repositoriesGrid&#x27;);
  }

  /**
   * Get the [DETAIL] button in the grid at the given row
   *
   * @param {number} row the row index
   * @returns {Button} the corresponding [DETAIL] button
   */
  static getDetailButton(row: number): Button {
    return Cache.button(
      &#x60;repositoryTableDetailButton-${row}&#x60;,
      this.table.cell(row, &#x27;actions&#x27;).element(by.className(&#x27;button-details&#x27;))
    );
  }

  /**
   * Get the [DELETE] button in the grid at the given row
   *
   * @param {number} row the row index
   * @returns {Button} the corresponding [DELETE] button
   */
  static getDeleteButton(row: number): Button {
    return Cache.button(
      &#x60;repositoryTableDeleteButton-${row}&#x60;,
      this.table.cell(row, &#x27;actions&#x27;).element(by.className(&#x27;button-delete&#x27;))
    );
  }


  /**
   * Get the [REPLACE] button in the grid at the given row
   *
   * @param {number} row the row index
   * @returns {Button} the corresponding [REPLACE] button
   */
  static getReplaceButton(row: number): Button {
    return Cache.button(
      &#x60;repositoryTableReplaceButton-${row}&#x60;,
      this.table.cell(row, &#x27;actions&#x27;).element(by.className(&#x27;button-replace&#x27;))
    );
  }

  static get replaceCancelButton() {
    return Cache.button(&quot;cancelReplaceButton&quot;);
  }

  static get replacementFormIsPresent() {
    return browser.element(by.className(&quot;replacement-form&quot;)).isPresent();
  }

}

export class ElectionDetails {

  /**
   * @returns {MatTable} the grid displaying the proportional ballots
   */
  static get proportionalGrid(): MatTable {
    return Cache.table(&#x27;respositoryProportionalTable&#x27;, element(by.css(&#x27;#table-for-proportional mat-table&#x27;)));
  }

  /**
   * @returns {MatTable} the grid displaying the majority ballots
   */
  static get majorityGrid(): MatTable {
    return Cache.table(&#x27;respositoryMajorityTable&#x27;, element(by.css(&#x27;#table-for-majority mat-table&#x27;)));
  }

  /**
   * @returns {MatTable} the grid displaying the majority ballots with lists
   */
  static get majorityWithListGrid(): MatTable {
    return Cache.table(&#x27;respositoryMajorityWithListTable&#x27;, element(by.css(&#x27;#table-for-majority-with-list mat-table&#x27;)));
  }

  /**
   * @returns {MatTable} the grid displaying the electoral rolls
   */
  static get electoralRolls(): MatTable {
    return Cache.table(&#x27;electoral-lists&#x27;);
  }

  /**
   * waits for the electoral rolls gird to be displayed
   */
  static waitForElectoralRollsDisplayed(): void {
    waitForVisibility(this.electoralRolls.table);
    waitForVisibility(this.electoralRolls.table)
  }

  /**
   * close the electoral rolls view
   */
  static closeElectoralRolls(): void {
    Cache.button(&#x27;cancel&#x27;).click();
    waitForInvisibility(this.electoralRolls.table);
  }
}

export class VotationDetails {

  /**
   * Get the grouped grid associated to the given repository panel.
   * @returns the associated grouped grid
   */
  static get groupedGrid(): GroupedGrid {
    return new GroupedGrid(element(by.tagName(&#x27;votation-details&#x27;)));
  }
}
</code></pre>
    </div>
</div>







                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'class';
            var COMPODOC_CURRENT_PAGE_URL = 'ElectionDetails.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
